## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           gio-qt
Version:        0.0.11
Release:        %autorelease
Summary:        Gio wrapper for Qt applications 
License:        LGPLv3+
URL:            https://github.com/linuxdeepin/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5Core) >= 5.6.3
BuildRequires:  glibmm24-devel
BuildRequires:  cmake >= 3.12.4
BuildRequires:  doxygen
BuildRequires:  qt5-doctools 
# for test
BuildRequires:  pkgconfig(Qt5Test)


%description
This package provides a GIO wrapper class for Qt.


%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel%{?isa}
Requires:       glibmm24-devel%{?isa}

%description devel
Header files and libraries for %{name}.

%prep
%setup -q
# fix doc path
sed -i 's|qt5/doc|doc/qt5|' CMakeLists.txt

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
%cmake -DBUILD_TESTS=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.0*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_qt5_docdir}/%{name}.qch


%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.0.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.0.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue May 18 2021 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 0.0.11-1
- Update to 0.0.11 (#1961449)

* Sat Apr 03 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 0.0.10-1
- Update to 0.0.10 upstream release

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 24 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 0.0.9-2
- change to fit new cmake macros

* Tue Jun 16 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 0.0.9-1
- Initial Build, code mostly taken from copr: cheeselee/deepin-20-testing
- Add tests


